#!BuildIgnore: post-build-checks
#
# spec file for package server_configuration (Version 0.8.0)
#
# norootforbuild

Name:           server_configuration
License:        GPL v2
Vendor:		Linkat
Group:          System
Summary:        Linkat 4 GNU/Linux - School server configuration script
Version:        0.8.0
Release:        39.1
BuildArch:      i586
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
Source:         %{name}-%{version}.tar.bz2
Patch:          zenity_user_configuration.patch
Obsoletes:	server_configuration < 0.8.0
Provides:       server_configuration = 0.8.0
BuildRequires:	coreutils
Requires:  	samba-client bash samba nfs-utils pure-ftpd pwdutils sysvinit squid ntp aaa_base sysconfig coreutils dialog bind pam net-snmp apache2 apache2-prefork jclic jclic-projects mysql mysql-client mysql-connector-java tomcat6 pam_ldap nss_ldap zenity portmap expect linkat-fix yast2-ldap-server openldap2 yast2-nfs-server gus python

%description
Linkat School Server configuration script configures Linkat GNU/Linux network services to serve file and network services to an entire classroom or school Linkat clients.

Authors:
--------
Jordi Bruguera i Cortada <jorx#opensuse.org>
Javier Ortega <jom#nextret.net>
Ivan Renedo Chantres <irc#nextret.net>
Aleix Solé i Romeu <asole@itechgrup.com>
Jordi Massaguer Pla <jmassaguer@opentrends.net>
Jordi "Txor" Casas Rios <jcasas@opentrends.net>

%clean
chmod 755 %{buildroot}/etc/skel/compartits
rm -rf %{buildroot}

%prep

%setup -q -n %{name}-%{version}

%patch -p 1

%install
mkdir -p %{buildroot}/mnt/nfs/S
mkdir -p %{buildroot}/mnt/nfs/P
mkdir -p %{buildroot}/mnt/nfs/T
mkdir -p %{buildroot}/mnt/nfs/G
mkdir -p %{buildroot}/etc/skel
mkdir -p %{buildroot}/etc/Linkat
mkdir -p %{buildroot}/etc/skel/compartits
ln -s /mnt/nfs/S %{buildroot}/etc/skel/compartits/S
ln -s /mnt/nfs/P %{buildroot}/etc/skel/compartits/P
ln -s /mnt/nfs/T %{buildroot}/etc/skel/compartits/T
ln -s /mnt/nfs/G %{buildroot}/etc/skel/compartits/G
chmod 555 %{buildroot}/etc/skel/compartits
cp -a * %{buildroot}/etc/Linkat

%files

%ghost %attr(777,root,root) /mnt/nfs/S
%ghost %attr(777,root,root) /mnt/nfs/P
%ghost %attr(777,root,root) /mnt/nfs/T
%ghost %attr(777,root,root) /mnt/nfs/G

%dir %attr(750,root,root) /etc/skel
%dir %attr(750,root,root) /etc/Linkat
%dir %attr(750,root,root) /etc/Linkat/backup
%dir %attr(750,root,root) /etc/Linkat/data
%dir %attr(750,root,root) /etc/Linkat/install
%dir %attr(750,root,root) /etc/Linkat/uninstall
%dir %attr(750,root,root) /etc/Linkat/patch

%attr(555,root,root) /etc/skel/compartits/
%attr(777,root,root) /etc/skel/compartits/S
%attr(777,root,root) /etc/skel/compartits/T
%attr(777,root,root) /etc/skel/compartits/P
%attr(777,root,root) /etc/skel/compartits/G

%attr(750,root,root) /etc/Linkat/Linkat.installer
%attr(750,root,root) /etc/Linkat/Linkat.sh
%attr(750,root,root) /etc/Linkat/Linkat_config.sh
%attr(640,root,root) /etc/Linkat/server_configuration.desktop
%attr(640,root,root) /etc/Linkat/Linkat.conf


%attr(640,ldap,ldap) /etc/Linkat/data/cn={_}samba3.ldif
%attr(640,root,root) /etc/Linkat/data/copy_dvd_repo.sh
%attr(640,root,root) /etc/Linkat/data/config.network.Linkat
%attr(640,root,root) /etc/Linkat/data/create_database.sql
%attr(644,root,root) /etc/Linkat/data/default-server.conf
%attr(640,root,named) /etc/Linkat/data/dns_zona.conf
%attr(640,root,named) /etc/Linkat/data/dns_zona_rev.conf
%attr(640,root,root) /etc/Linkat/data/.edu.xtec.properties
%attr(640,root,root) /etc/Linkat/data/eines_lnadmin_servidor.tar.gz
%attr(640,root,root) /etc/Linkat/data/exports.Linkat
%attr(640,root,root) /etc/Linkat/data/forwarders.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/grups.ldif
%attr(640,root,root) /etc/Linkat/data/grups.ldif.Linkat
%attr(640,root,root) /etc/Linkat/data/hosts.Linkat
%attr(640,root,root) /etc/Linkat/data/HOSTNAME.Linkat
%attr(640,root,root) /etc/Linkat/data/ifcfg-eth0.Linkat
%attr(640,root,root) /etc/Linkat/data/jclic.cfg
%attr(640,root,root) /etc/Linkat/data/jclicreports.desktop.Linkat
%attr(640,root,root) /etc/Linkat/data/jclicReports.properties
%attr(640,root,root) /etc/Linkat/data/jclic_test_mysql.sql
%attr(640,root,root) /etc/Linkat/data/ldap.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/ldapconfig.ldif
%attr(640,root,root) /etc/Linkat/data/ldapconfig.ldif.Linkat
%attr(640,root,root) /etc/Linkat/data/ldap_server_config.tar.gz
%attr(640,root,root) /etc/Linkat/data/logon.sh
%attr(640,root,root) /etc/Linkat/data/linkat_backup.cron
%attr(750,root,root) /etc/Linkat/data/linkat_backup.sh
%attr(640,root,named) /etc/Linkat/data/named.conf.Linkat
%attr(640,root,named) /etc/Linkat/data/named.conf.include.Linkat
%attr(640,root,ntp) /etc/Linkat/data/ntp.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/openSUSE-update.repo.Linkat
%attr(640,root,root) /etc/Linkat/data/permisos.sql
%attr(640,root,root) /etc/Linkat/data/pure-ftpd.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/repo_linkat_2.tar.gz
%attr(640,root,root) /etc/Linkat/data/repo_linkat_3.tar.gz
%attr(640,root,root) /etc/Linkat/data/resolv.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/routes.Linkat
%attr(640,root,named) /etc/Linkat/data/rev.in-addr.arpa.Linkat
%attr(640,root,root) /etc/Linkat/data/session-manual.Linkat
%attr(640,root,root) /etc/Linkat/data/smb.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/snmpd.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/squid.conf.Linkat
%attr(640,root,root) /etc/Linkat/data/sudoers.Linkat
%attr(640,root,root) /etc/Linkat/data/sysconfig.apache2
%attr(640,root,root) /etc/Linkat/data/sysconfig.cron
%attr(640,root,root) /etc/Linkat/data/sysconfig.linkat_backup
%attr(640,root,root) /etc/Linkat/data/sysconfig.ldap
%attr(640,root,root) /etc/Linkat/data/sysconfig.named
%attr(640,root,root) /etc/Linkat/data/sysconfig.nfs
%attr(640,root,root) /etc/Linkat/data/sysconfig.openldap
%attr(640,root,root) /etc/Linkat/data/repo-server-linkat2.conf
%attr(640,root,root) /etc/Linkat/data/repo-server-linkat3.conf
%attr(640,root,root) /etc/Linkat/data/tomcat-users.xml
%attr(750,root,root) /etc/Linkat/data/update_linkat_2.sh
%attr(750,root,root) /etc/Linkat/data/update_linkat_3.sh
%attr(750,root,root) /etc/Linkat/data/users.ycp.Linkat
%attr(640,root,root) /etc/Linkat/data/xhost.desktop
%attr(640,root,named) /etc/Linkat/data/zona.Linkat


%attr(750,root,root) /etc/Linkat/install/001_hostname.sh
%attr(750,root,root) /etc/Linkat/install/002_suseconfig.sh
%attr(750,root,root) /etc/Linkat/install/003_networkconfig.sh
%attr(750,root,root) /etc/Linkat/install/004_createca.sh
%attr(750,root,root) /etc/Linkat/install/005_ldapserver.sh
%attr(750,root,root) /etc/Linkat/install/015_ftp_server.sh
%attr(750,root,root) /etc/Linkat/install/020_dns_server.sh
%attr(750,root,root) /etc/Linkat/install/025_dns_client.sh
%attr(750,root,root) /etc/Linkat/install/030_proxy_server.sh
%attr(750,root,root) /etc/Linkat/install/035_snmp_server.sh
%attr(750,root,root) /etc/Linkat/install/040_ntp_server.sh
%attr(750,root,root) /etc/Linkat/install/045_samba_server.sh
%attr(750,root,root) /etc/Linkat/install/050_ldap_groups.sh
%attr(750,root,root) /etc/Linkat/install/055_shared_folders.sh
%attr(750,root,root) /etc/Linkat/install/060_nfs_server.sh
%attr(750,root,root) /etc/Linkat/install/065_jclic.sh
%attr(750,root,root) /etc/Linkat/install/070_jclic_reports.sh
%attr(750,root,root) /etc/Linkat/install/072_http_server.sh
%attr(750,root,root) /etc/Linkat/install/075_stop_services.sh
%attr(750,root,root) /etc/Linkat/install/080_logon_scripts.sh
%attr(750,root,root) /etc/Linkat/install/082_lnadmin.sh
%attr(750,root,root) /etc/Linkat/install/085_linkat_updates.sh
%attr(750,root,root) /etc/Linkat/install/095_finish.sh

%attr(750,root,root) /etc/Linkat/uninstall/005_prepare.sh
%attr(750,root,root) /etc/Linkat/uninstall/010_hostname.sh
%attr(750,root,root) /etc/Linkat/uninstall/015_nfs_server.sh
%attr(750,root,root) /etc/Linkat/uninstall/020_ftp_server.sh
%attr(750,root,root) /etc/Linkat/uninstall/025_proxy_server.sh
%attr(750,root,root) /etc/Linkat/uninstall/030_snmp_server.sh
%attr(750,root,root) /etc/Linkat/uninstall/035_jclic.sh
%attr(750,root,root) /etc/Linkat/uninstall/040_jclic_reports.sh
%attr(750,root,root) /etc/Linkat/uninstall/045_ntp_server.sh
%attr(750,root,root) /etc/Linkat/uninstall/050_samba_server.sh
%attr(750,root,root) /etc/Linkat/uninstall/055_logon_scripts.sh
%attr(750,root,root) /etc/Linkat/uninstall/060_shared_folders.sh
%attr(750,root,root) /etc/Linkat/uninstall/065_dns_server.sh
%attr(750,root,root) /etc/Linkat/uninstall/070_dns_client.sh
%attr(750,root,root) /etc/Linkat/uninstall/075_linkat_updates.sh
%attr(750,root,root) /etc/Linkat/uninstall/080_http_server.sh
%attr(750,root,root) /etc/Linkat/uninstall/082_lnadmin.sh
%attr(750,root,root) /etc/Linkat/uninstall/095_finish.sh

%attr(750,root,root) /etc/Linkat/patch/patch0001.sh
%attr(750,root,root) /etc/Linkat/patch/patch0002.sh
%attr(750,root,root) /etc/Linkat/patch/patch0003.sh
%attr(750,root,root) /etc/Linkat/patch/patch0004.sh
%attr(750,root,root) /etc/Linkat/patch/patch0005.sh
%attr(750,root,root) /etc/Linkat/patch/patch0006.sh
%attr(750,root,root) /etc/Linkat/patch/patch0007.sh
%attr(750,root,root) /etc/Linkat/patch/patch0008.sh

%attr(750,root,root) /etc/Linkat/lib/hostname.sh
%attr(750,root,root) /etc/Linkat/lib/dns.sh
%attr(750,root,root) /etc/Linkat/lib/network.sh
%attr(750,root,root) /etc/Linkat/lib/pass_ldap.sh
%attr(750,root,root) /etc/Linkat/lib/pass_lnadmin.sh
%attr(750,root,root) /etc/Linkat/lib/crypt_passwd.py

%post
cp /etc/Linkat/server_configuration.desktop /root/Escriptori/
chmod 750 /root/Escriptori/server_configuration.desktop

if [ "$1" = "2" ];then
	if [ -d /etc/skel/compartits ];then
		res=$(mv /etc/skel/compartits /etc/skel/compartits.updating)
	fi
fi

%preun
if [ "$1" = "0" ];then 
	if [ -e /etc/modalitat_linkat ];then
        	res=$(cat /etc/modalitat_linkat | grep servidor)
        	if [ $? -eq 0 ];then 
        	        sh /etc/Linkat/Linkat.sh uninstall rpm
        	fi
	fi
fi

%postun
if [ "$1" = "0" ];then
	if [ -d /etc/skel/compartits ];then
		res=$(rm -rf /etc/skel/compartits)
	fi
fi

%posttrans
if [ -d /etc/skel/compartits.updating ];then
	res=$(mv /etc/skel/compartits.updating /etc/skel/compartits)
fi

%changelog
* Tue Mar 29 2011 Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>  
- Fixed DNS server (bind) configuration.
* Mon Mar 28 2011 Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Solved some DNS bugs.
- Changed squid cache size.
* Tue Mar 22 2011 Jordi "Txor" Casas Ríos <jordi.casas@opentrends.net>
- Added some zenity dialogs to let the user configure hostname, domain, network parameters, ldap password and lnadmin password trought server_configuration.desktop.
* Fri Mar 18 2011 Jordi Massaguer Pla <jmassaguer@opentrends.net>
- Moved commands to Linkat_config.sh script
- Created server_configuration.desktop that runs script
* Thu Dec 16 2010 Aleix Solé i Romeu <asole@itechgrup.com>
- Changed spec so that YaST performs the server-configuration install and autoconfig
* Tue Dec 14 2010 Aleix Solé i Romeu <asole@itechgrup.com>
- Major cleanup of the log output
- CA and LDAP server automatic default configuration (with PAM auth, shared folders, etc.)
* Thu Nov 25 2010 Aleix Solé i Romeu <asole@itechgrup.com>
- First update for Linkat 4
- Removed all interaction with the user during install
- added lnadmin scripts to configure and change default parameters
* Thu Nov 11 2010 Aleix Solé i Romeu <asole@itechgrup.com>
- lnadmin backup script cron permissions bugfix
* Thu Oct 21 2010 Aleix Solé i Romeu <asole@itechgrup.com>
- Fixed a bug with the lnadmin backup script
* Mon May 24 2010 Aleix Solé i Romeu <asole@itechgrup.com>
- Fixed patch system upgrade bugs
* Tue Apr 27 2010 Aleix Solé i Romeu <asole@itechgrup.com>
- Fixed ldap access method (removed the use of zenity from the patch)
- Added an icon to edit the backup config
- Changed lnadmin icons owner so that user can't remove or modify them
* Wed Apr 14 2010 Aleix Solé i Romeu <asole@itechgrup.com>
- Added lnadmin administration user and related configuration scripts (patch0004.sh)
- Fixed spec to build as a non-root user.
- Added G unit and Gestio LDAP group (patch0005.sh)
- Added new SMB shares and aliases and a new NFS export for G (patch006.sh)
- Added backup scripts
- Fixed a few typos
* Tue Mar 23 2010 Marc Egea i Sala <marc.egea@opentrends.net>
- Added vendor (Linkat).
* Thu Mar 11 2010 Marc Egea i Sala <marc.egea@opentrends.net>
-Added rsync to openSUSE updates repository from download-linkat. Now will offer three repositories to linkat clients (Linkat inst-source, Linkat updates and openSUSE updates)
Affected files:
-install/085_linkat_updates.sh
-data/update_linkat_3.sh
-patch/patch0003.sh (new)
* Fri Dec 18 2009 Marc Egea i Sala <marc.egea@opentrends.net>
- Fixed a bug on Linked.installer (copy/delete inst_source).
* Thu Dec 3 2009 Marc Egea i Sala <marc.egea@opentrends.net>
- Changes on install/055_shared_folders.sh will now be applied on a patch (patch0002).
* Wed Nov 25 2009 Marc Egea i Sala <marc.egea@opentrends.net>
- Changed update_linkat_3.sh and update_linkat_2.sh. Now will only start between 10pm and 6am. (patch0001).
- Now Linkat.sh will ask before copy/delte the inst_source and the updates.
* Tue Nov 24 2009 Marc Egea i Sala <marc.egea@opentrends.net>
- Added a patch system to update the server. Now is not necesary to uninstall and install the server_configuration Linkat.sh script.
* Wed Oct 21 2009 Marc Egea i Sala <marc.egea@opentrends.net>
- Added ACL's to /srv/exports folders (install/055_shared_folders.sh).
- Changed SID bit to /srv/exports/P and /srv/exports/S (install/055_shared_folders.sh).
- Added create mask in smb.conf for units P,S and T (install/055_shared_folders.sh).
* Tue Sep 29 2009 Pablo Vigo <pablo.panx@gmail.com>
- Change permissions on NFS export folders.
* Fri Sep 25 2009 Pablo Vigo <pablo.panx@gmail.com>
- Change permissions on SMB export folders.
* Thu Sep 3 2009 Jordi Bruguera i Cortada <jordi@grn.es>
- Fix samba script.
* Thu Jul 2 2009 Jordi Bruguera i Cortada <jordi@grn.es>
- Configure http server.
- Added samba3 ldap schema
- nfsd rpcbind fix
- moved repos to rsync
- start nfs fix
- fix compartits permissions
- remove compartits after uninstalling
* Tue Jun 30 2009 Jordi Bruguera i Cortada <jordi@grn.es>
- Some security fixes
- JClic reports fixes
- Database fixes
- Tomcat users typo corrected
* Wed Jun 10 2009 Jordi Bruguera i Cortada <jordi@grn.es>
- Linkat 3 version, rewritten from scratch and adapted for openSUSE 11.1
- Some zenity fixes
- Added support for Linkat 2 and Linkat 3 clients.
* Fri Mar 20 2009 Javier Ortega <jom#nextret.net>
- Moved install and uninstall ati & nvidia repositories to linkat-repos package
* Thu Feb 15 2008 Iván renedo <irc#nextret.net>  - Javier Ortega <jom#nextret.net>
- Autodetect DVD
- convert files to UTF-8
- mysql passwords
- Added ati & nvidia repositories
- change nobody access to shared folder T
* Wed Nov 28 2007 Iván renedo <irc#nextret.net>
- Added update system
- Mirroring with central update server
* Tue Nov 27 2007 Iván renedo <irc#nextret.net>
- Fixed bug in ldap recovery configuration
- P and S shared folders now are separated in exports file
- Added user group to ldap database
* Mon Nov 26 2007 Iván renedo <irc#nextret.net>
- Fixed bug adding apache to init 
* Mon Nov 26 2007 Iván renedo <irc#nextret.net>
- Fixed bug in Jclic reports graph system
- Added jclicreports icon
* Fri Nov 23 2007 Iván renedo <irc#nextret.net>
- No more acl's needed
- Added jclicreports icon
*  Tue Nov 06 2007 Iván renedo <irc#nextret.net>  - Javier Ortega <jom#nextret.net>
- Variable name and domain name for server
*  Mon Feb 10 2007 Iván renedo <irc#nextret.net>
- Updated for Linkat 2 
*  Wed Mar 21 2006 Iván renedo <irc#nextret.net>
- Shares files now by NFS 
- Multiple bugs fixed
*  Wed Feb 23 2006 Iván renedo <irc#nextret.net> 
- Some bugs fixed
- Autoexecution on root logon
* Wed Feb 7 2006 Iván renedo <irc#nextret.net>
- Multiple bugs fixed in Linkat.sh
* Wed Jan 25 2006 Iván renedo <irc#nextret.net>
- Multiple bugs fixed in Linkat.sh
*  Mon Jan 23 2006 Iván renedo <irc#nextret.net> 
- Deleted Open Carpet configuration
*  Wed Jan 18 2006 Iván renedo <irc#nextret.net> 
- Stop and start platform daemons

